<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/Auxiliary/getParameterMatFn_default.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_d544197a650feee977d1b0e201b59710.html">Auxiliary</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">getParameterMatFn_default.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d7f/get_parameter_mat_fn__default_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%%%------------------------------------------------------------------------</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">function</span> [betahat, D]=<a class="code" href="../../d1/d7f/get_parameter_mat_fn__default_8m.html#a85ad14c5fadcd2072999430805a225d2">getParameterMatFn_default</a>(parameters,nbeta,varargin)</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;% To Do: avoid the symbolic calculation inside!</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;syms x; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;tologVar=varargin{1};</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;betahat=reshape(parameters(1:nbeta),1,nbeta);</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;dhatParams=length(parameters)-length(betahat);</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keywordflow">if</span> length(parameters)&gt;nbeta*2</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d7f/get_parameter_mat_fn__default_8m.html#a85ad14c5fadcd2072999430805a225d2">   11</a></span>&#160;nvarparam=double(max(solve((x*x-x)/2+x==dhatParams)));</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; nvarparam= dhatParams;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;end</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;% all variance parameters</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keywordflow">if</span>     tologVar==<span class="keyword">true</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;Varparams=exp(parameters(nbeta+1:nbeta+nvarparam));</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;Varparams=parameters(nbeta+1:nbeta+nvarparam);</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;end</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;% If there are more, they are correlation parameters</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keywordflow">if</span> length(parameters)&gt;nbeta*2</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    CorrMat=zeros(nvarparam);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    Corr_tril=parameters(nbeta+nvarparam+1:end);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    mapID=tril(ones(nvarparam),-1);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    CorrMat(tril(mapID,-1)==1)= Corr_tril;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    % construct the correlation matrix</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    CorrMat=CorrMat+CorrMat<span class="stringliteral">&#39;+eye(nvarparam);</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="stringliteral">    D=corr2cov(sqrt(Varparams),CorrMat);</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="stringliteral">else</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="stringliteral">    D=diag(Varparams);</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="stringliteral">end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_parameter_mat_fn__default_8m_html_a85ad14c5fadcd2072999430805a225d2"><div class="ttname"><a href="../../d1/d7f/get_parameter_mat_fn__default_8m.html#a85ad14c5fadcd2072999430805a225d2">getParameterMatFn_default</a></div><div class="ttdeci">function getParameterMatFn_default(in parameters, in nbeta, in varargin)</div><div class="ttdoc">A default function that takes in a vector of parameters and converts it to the mean and covariance ma...</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
